Como corrigir: Falha ao buscar cdrom. Apt-get update não pode ser usado para adicionar novos CD-ROMs Erro

26 de maio de 2020

Atualmente, estou experimentando com elementary OS e, durante isso, encontrei um erro peculiar do atualizador: Falha ao buscar o cdrom. Use apt-cdrom para tornar este CD-ROM reconhecido pelo APT. apt-get update não pode ser usado para adicionar novos CD-ROMs. O erro completo ficou assim depois de executar o comando apt-get update:

**W: Falha ao buscar cdrom: // elementary OS 0.3Freya - Daily amd64 (20150208)/dists/trusty/restrito/binary-amd64/Packages Por favor, use apt-cdrom para tornar este CD-ROM reconhecido pelo APT . apt-get update não pode ser usado para adicionar novos CD-ROMs

E: Alguns arquivos de índice não foram baixados. Eles foram ignorados ou os antigos usados em seu lugar.**

Nesta postagem, vou mostrar como corrigir esse erro.

Correção Falha ao buscar cdrom apt-get update não pode ser usado para adicionar novos erros de CD-ROMs

A razão para este erro é que o CD-ROM foi incluído como uma das fontes aqui. O que significa que seu sistema está tentando procurar atualizações de software a partir da imagem ISO ou do live CD de seu sistema Linux. Se estiver conectado, pode funcionar, mas mesmo assim não é como deve ser usado.

E para corrigir esse problema, você precisa removê-lo da lista de fontes de software.

No Ubuntu, procure Software e atualizações:

! [Configurações de atualização de software Ubuntu](Software_Update_Ubuntu.webp) Configurações de atualização de software Ubuntu Na primeira guia Ubuntu Software, procure o cdrom, se estiver marcado, desmarque-o.

! [fix apt-get update não pode ser usado para adicionar novos CD-ROMs](CDROM_Error_Update_Software_Sources.webp) fix apt-get update não pode ser usado para adicionar novos CD-ROMs Feche as fontes do software execute a atualização novamente. Deve funcionar bem agora.

Solucionar problemas adicionais:

O método descrito acima deve ter corrigido este erro apt-get update não pode ser usado para adicionar novos CD-ROMs. Mas este não foi o meu caso, porque a opção de cdrom já estava esmaecida enquanto eu estava usando a sessão ao vivo.

! [erro de atualização do cdrom](CDROM_Update_Error.webp) erro de atualização do cdrom Agora, para corrigir nosso erro, tomaremos a rota da linha de comando. Abra um terminal e use a seguinte linha para ver o que está incluído na lista de fontes:

Comandos para usar no terminal

cat /etc/apt/sources.list

A saída para mim foi a seguinte:

deb cdrom: [elementary OS 0.3Freya - Daily amd64 (20150208)]/trusty main restrito deb http://archive.ubuntu.com/ubuntu/ trusty main strict universe multiverse deb-src http://archive.ubuntu.com/ubuntu/ multiverse do universo restrito principal confiável deb http://security.ubuntu.com/ubuntu/ trusty-security principal universo restrito multiverse deb-src http://security.ubuntu.com/ubuntu/ trusty-security principal universo restrito multiverse deb http://archive.ubuntu.com/ubuntu/ trusty-updates multiverse do universo restrito principal deb-src http://archive.ubuntu.com/ubuntu/ trusty-updates multiverse do universo restrito principal Observe a primeira linha da lista acima. Inclui cdrom. Precisamos comentar esta linha adicionando # antes dela para torná-la parecida com:

deb cdrom: [elementary OS 0.3Freya - Daily amd64 (20150208)]/trusty main restrito

Para fazer isso, use o comando abaixo:

Comandos para usar no terminal

sudo gedit /etc/apt/sources.list

Depois de editar o sources.list, execute o apt-get update mais uma vez. O erro ‘apt-get update não pode ser usado para adicionar novos CD-ROMs’ deveria ter sido corrigido.

Se você estiver enfrentando qualquer outro problema de atualização, consulte este artigo, que é uma coleção de correções de erros de atualização comuns do Ubuntu.

Espero que você tenha achado este tutorial útil. Se você tiver dúvidas ou sugestões, sinta-se à vontade para deixar um comentário.

Confira também a versão original desse post em inglês
Esse post foi originalmente escrito por Abhishek Prakash e publicado no site itsfoss.com. Tradução sujeita a revisão.

How To Fix: “Failed to fetch cdrom apt-get update cannot be used to add new CD-ROMs” Error

Propaganda
Blog Comments powered by Disqus.
Propaganda